org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.VertexFunctionalityTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.VertexFunctionalityTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.VertexFunctionalityTest
      extends AbstractGremlinTest

  Feature checks that test `Vertex` functionality to determine if a feature should be on when it is marked as not supported.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexFunctionalityTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldNotAllowAnyIdsIfUserSuppliedIdsIsFalse()`
    `void` | `shouldSupportAddVertexPropertyIfItCanBeAdded()`
    `void` | `shouldSupportAddVerticesIfAVertexCanBeAdded()`
    `void` | `shouldSupportNumericIdsIfNumericIdsAreGeneratedFromTheGraph()`
    `void` | `shouldSupportRemovePropertyIfAPropertyCanBeRemoved()`
    `void` | `shouldSupportRemoveVerticesIfAVertexCanBeRemoved()`
    `void` | `shouldSupportStringIdsIfStringIdsAreGeneratedFromTheGraph()`
    `void` | `shouldSupportUserSuppliedIdsIfAnIdCanBeAssignedToVertex()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeAny()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeNumericInt()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeNumericLong()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeString()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeUuid()`
    `void` | `shouldSupportUuidIdsIfUuidIdsAreGeneratedFromTheGraph()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexFunctionalityTest

          public VertexFunctionalityTest()

  - ### Method Detail

    - #### shouldSupportAddVerticesIfAVertexCanBeAdded

          public void shouldSupportAddVerticesIfAVertexCanBeAdded()
                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsIfAnIdCanBeAssignedToVertex

          public void shouldSupportUserSuppliedIdsIfAnIdCanBeAssignedToVertex()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowAnyIdsIfUserSuppliedIdsIsFalse

          public void shouldNotAllowAnyIdsIfUserSuppliedIdsIsFalse()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeString

          public void shouldSupportUserSuppliedIdsOfTypeString()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeNumericInt

          public void shouldSupportUserSuppliedIdsOfTypeNumericInt()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeNumericLong

          public void shouldSupportUserSuppliedIdsOfTypeNumericLong()
                                                             throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeUuid

          public void shouldSupportUserSuppliedIdsOfTypeUuid()
                                                      throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeAny

          public void shouldSupportUserSuppliedIdsOfTypeAny()
                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldSupportStringIdsIfStringIdsAreGeneratedFromTheGraph

          public void shouldSupportStringIdsIfStringIdsAreGeneratedFromTheGraph()
                                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUuidIdsIfUuidIdsAreGeneratedFromTheGraph

          public void shouldSupportUuidIdsIfUuidIdsAreGeneratedFromTheGraph()
                                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldSupportNumericIdsIfNumericIdsAreGeneratedFromTheGraph

          public void shouldSupportNumericIdsIfNumericIdsAreGeneratedFromTheGraph()
                                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldSupportAddVertexPropertyIfItCanBeAdded

          public void shouldSupportAddVertexPropertyIfItCanBeAdded()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportRemoveVerticesIfAVertexCanBeRemoved

          public void shouldSupportRemoveVerticesIfAVertexCanBeRemoved()
                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldSupportRemovePropertyIfAPropertyCanBeRemoved

          public void shouldSupportRemovePropertyIfAPropertyCanBeRemoved()
                                                                  throws Exception

      Throws:
        `Exception`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.